package com.xisc.pm.infra.repository.impl;

import com.xisc.pm.domain.repository.PmCtDetRepository;
import com.xisc.pm.domain.vo.CtDetVO;
import com.xisc.pm.infra.mapper.CtDetMapper;
import org.apache.commons.collections.CollectionUtils;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 合同跟踪详细表(CtDet)资源库
 *
 * @author 蒋雨航 yuhang.jiang02@hand-china.com
 * @since 2024-08-14 15:48:38
 */
@Component
public class PmCtDetRepositoryImpl extends BaseRepositoryImpl<CtDetVO> implements PmCtDetRepository {
    @Resource
    private CtDetMapper ctDetMapper;

    @Override
    public List<CtDetVO> selectList(CtDetVO ctDetVO) {
        return ctDetMapper.selectList(ctDetVO);
    }

    @Override
    public CtDetVO selectByPrimary(Long detId) {
        CtDetVO ctDetVO = new CtDetVO();
        ctDetVO.setDetId(detId);
        List<CtDetVO> ctDetVOS = ctDetMapper.selectList(ctDetVO);
        if (CollectionUtils.isEmpty(ctDetVOS)) {
            return null;
        }
        return ctDetVOS.get(0);
    }

}
